//% color="#D2B48C" iconWidth=50 iconHeight=40
namespace seaborn{
    //% block="初始化seaborn模块" blockType="command"
    export function matplotlib_Iint(parameter: any, block: any) {
 
        Generator.addImport(`import seaborn as sns`)

    }
    //% block="绘制热力图矩阵数据集[DATA] 单元格[SHOW]数值 颜色条位置[LOCATION] " blockType="command"
    //% DATA.shadow="normal" DATA.defl="data"
    //% SHOW.shadow="dropdown" SHOW.options="SHOW"
    //% LOCATION.shadow="dropdown" LOCATION.options="LOCATION"
    export function matplotlib_heatmap(parameter: any, block: any) {
        let data = parameter.DATA.code;
        let location = parameter.LOCATION.code;
        let show = parameter.SHOW.code;
        
        Generator.addCode(`sns.heatmap(${data},annot=${show},cbar_kws = dict(use_gridspec=False,location='${location}'))`)
    }      


}
